package hk.edu.hkbu.comp.maw2013.mybbc;

import com.example.mybbc.R;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebView;
import android.widget.LinearLayout;

public class FoodSubSectionFragment extends Fragment {
	
	private String url;
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		View view = inflater.inflate(R.layout.fragment_food_sub_section, container, false);
		return view;
	}
	
	@Override
	public void onActivityCreated(Bundle savedInstanceState){
		super.onActivityCreated(savedInstanceState);
		LinearLayout linearLayout = (LinearLayout)getView().findViewById(R.id.linearLayout);
		MyWebView webView = new MyWebView(getActivity());
		linearLayout.addView(webView);
		webView.getSettings().setBuiltInZoomControls(true);
		webView.getSettings().setDisplayZoomControls(false);
		webView.getSettings().setJavaScriptEnabled(true);
		if(getArguments()!=null){
			webView.loadUrl(getArguments().getString("url"));
		}else{
			Log.v("getArguments()", "null");
		}
	}
	
	//JellyBean Bug Fix for not showing the webpage if the WebView is placed under Fragment and ViewPager
	public class MyWebView extends WebView{
		public MyWebView(Context context) {
			super(context);
		}
		
		@Override
		public boolean onTouchEvent(MotionEvent event) {
		    if (event.getAction() == MotionEvent.ACTION_DOWN){
		        int temp_ScrollY = getScrollY();
		        scrollTo(getScrollX(), getScrollY() + 1);
		        scrollTo(getScrollX(), temp_ScrollY);
		    }
		    return super.onTouchEvent(event);
		}
	}
}