package hk.edu.hkbu.comp.maw2013.mybbc;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

public class FoodSubSectionsPagerAdapter extends FragmentPagerAdapter {
	
	String urlPrefix = "http://www.bbc.co.uk/food/";
	String urlSuffix[] = new String[]{"recipes", "seasons", "occasions"};
	
	public FoodSubSectionsPagerAdapter(FragmentManager fm, Context context) {
		super(fm);
	}

	@Override
	public Fragment getItem(int position) {
		Bundle bundle = new Bundle();
		FoodSubSectionFragment fragment = new FoodSubSectionFragment();
		bundle.putString("url", urlPrefix + urlSuffix[position] + "/");
		fragment.setArguments(bundle);
		return fragment;
	}

	@Override
	public int getCount() {
		return 3;
	}

	@Override
	public CharSequence getPageTitle(int position) {
		switch (position) {
			case 0:
				return "Recipes";
			case 1:
				return "Seasons";
			case 2:
				return "Occasions";
		}
		return null;
	}
}